<?php if (1==2){?><meta http-equiv="Content-Type" content="text/html; charset=utf-8"><?php }?>
<?php
//全局接收参数
$gp=$_GET['p'];
$gt=$_GET['t'];
$fwym=$_GET['fwym'];$fwym=str_replace("(--xg--)","\\",$fwym);
$fwlj=$_GET['fwlj'];$fwlj=str_replace("(--xg--)","\\",$fwlj);
//print $fwlj;exit;
//全局接收参数


if ($gp==""){exit;}

$jsp_html=@file_get_contents("conf/jsp.xml");
$server_html=@file_get_contents("conf/server.xml");
//print $server_html;exitl;

//显示现有参数
if ($gp=="show")
{
$prmain=explode("<!--jspstart-->",$jsp_html);
$prmain=$prmain['1'];
$prmain=explode("<!--jspend-->",$prmain);
$prmain=$prmain['0'];
print str_replace("</table>","",$prmain);
exit;
}
//显示现有参数







//除列出外转码
//$server_html=htmlspecialchars($server_html);
//$config_html=htmlspecialchars($config_html);
//除列出外转码







//删除现有参数
if ($gp=="del")
{
$deljsp='<Host name="'.$fwym.'" appBase="'.$fwlj.'" unpackWARs="true" autoDeploy="true" xmlValidation="false" xmlNamespaceAware="false"><Context path="" docBase="" debug="0" reloadable="true"/></Host>';
$jsp_html_code=str_replace($deljsp,"",$jsp_html);
}
//删除现有参数







//写入参数
if ($gp=="write")
{
if ($fwym=="" or $fwlj==""){print "0";exit;}
$intojsp='<Host name="'.$fwym.'" appBase="'.$fwlj.'" unpackWARs="true" autoDeploy="true" xmlValidation="false" xmlNamespaceAware="false"><Context path="" docBase="" debug="0" reloadable="true"/></Host>';
$jsp_html_code=str_replace("<!--jspend-->",$intojsp."<!--jspend-->",$jsp_html);
}
//写入参数




//-----------写入proxy_config
$jsp_html_code=htmlspecialchars_decode($jsp_html_code);
@file_put_contents("conf/jsp.xml",$jsp_html_code,LOCK_EX);
//-----------写入proxy_config


//删除原配置
$temp=$server_html;
$start="<!--jsps-->";
$end="<!--jspe-->";
$snum=strpos($temp,$start)+0;$tempq=substr($temp,0,$snum).$start;
$enum=strpos($temp,$end)+0;$temph=substr($temp,$enum);
$server_html_code=$tempq.$temph;
//print $server_html_code;exit;
//删除原配置

//-----------写config
$server_html_code=htmlspecialchars_decode($server_html_code);
$server_html_code=str_replace("<!--jsps--><!--jspe-->","<!--jsps-->".$jsp_html_code."<!--jspe-->",$server_html_code);
@file_put_contents("conf/server.xml",$server_html_code,LOCK_EX);
//-----------写config

print "1";
?>

